# List SKU inventory levels

Products
            Plans
          
        
        
          
            
              
              Formerly ShipEngine
            
            
              Free
              Advanced
              Enterprise
            
          
          
            
              
            
            
              Free
              Starter
              Standard
              Premium
            
          
        
      
      
        
          Learn about products and plans

Endpoint: GET /v2/inventory
Version: 2.0.0
Security: api_keys

## Query parameters:

  - `sku` (string)
    Optional list of SKUs to filter down to

  - `inventory_warehouse_id` (string)

  - `inventory_location_id` (string)

  - `group_by` (string)
    Get counts for SKUs across locations or warehouses
    Enum: "warehouse", "location"

  - `page_size` (integer)

## Response 200 fields (application/json):

  - `inventory` (array)

  - `inventory.sku` (string)

  - `inventory.on_hand` (integer)

  - `inventory.allocated` (integer)

  - `inventory.available` (integer)

  - `inventory.average_cost` (object)

  - `inventory.average_cost.amount` (number)

  - `inventory.average_cost.currency` (string)

  - `inventory.inventory_warehouse_id` (string)

  - `inventory.inventory_location_id` (string)

  - `total` (integer)

  - `page` (integer)

  - `pages` (integer)

  - `links` (object)

  - `links.first` (object)

  - `links.first.href` (string)

  - `links.last` (object)

  - `links.last.href` (string)

  - `links.prev` (object)

  - `links.prev.href` (string)

  - `links.next` (object)

  - `links.next.href` (string)


